Skip to main content
GET
Get Industry Prediction

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the Industry prediction request

Example:

"bff890c9-56fe-4773-9b52-833347d25281"

Response

Successful Response

id
string<uuid>
required

Unique identifier for the NAICS prediction request.

Example:

"7d25333a-2472-46fa-a469-0fc4822759cd"

state
enum<string>
required

The status of the NAICS prediction request

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Examples:

"COMPLETED"

"FAILED"

created_at
string<date-time>
required

The date and time when the NAICS prediction request was created.

Example:

"2026-10-29T05:44:47.891567"

idempotency_key
string | null

The Idempotency-Key header the request that created this resource carried, if any.

business_id
string<uuid> | null

The ID of the business for which the NAICS code was predicted.

Example:

"f697fb24-0487-495c-8819-1ef48e2469f6"

business_search_id
string<uuid> | null

The ID of the business search from which this NAICS prediction request originated.

Example:

"f81496d5-82cc-4227-beee-e523111835b6"

predicted_naics
PredictedNaicsResponse (v1) · object | null

The predicted NAICS code(s) for the business entity.

error
string | null

Any errors that occurred during the NAICS prediction request.

reference_id
string | null

An optional reference ID associated with this request, inherited from the parent search.

Example:

"Search1234"